## Class node_with_text

zeep::xml::node_with_text — internal node base class for storing text

## Synopsis

    // In header: <zeep/xml/node.hpp>

    class node_with_text : public  {
    public:
      // construct/copy/destruct
      ();
      ();

      // public member functions
       () ;
       () ;
       ();
    };

## Description

### `node_with_text` public construct/copy/destruct

1.     ();

2.     ( s);

### `node_with_text` public member functions

1.      () ;

   return the text content

2.      () ;

   return the text content, same as str()

3.      ( text);

   set the text content